Subject: Re: bug#29170: 26.0.90; Emacs freezes when capturing an org-template

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 07:16:57 +0200

[email-masked] (Grégoire Jadi) writes:

> For some time now (emacs-25.1), emacs freezes when I use `org-capture'.
> The problem occurs when emacs tries to read the SECONDARY selection.
>
> The following snippet can be used to freeze emacs for 2s everytime on my
> computer :
> (let ((value 'SECONDARY)
>       (x-selection-timeout 2000))
>   ;;; from org-get-x-clipboard in lisp/org-compat.el
>   (gui-get-selection value 'UTF8_STRING)
>   (gui-get-selection value 'COMPOUND_TEXT)
>   (gui-get-selection value 'STRING)
>   (gui-get-selection value 'TEXT))
>
> If the user (me) send any commands (C-p, C-n, M-x, ...) to emacs when it
> is frozen, Emacs will stay frozen even after the 2s timeout.

I tried this recipe now on OpenBSD with Emacs 28, and I can confirm that
this freezes Emacs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no